curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/customer-reports/1058' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 1058,
"description": "Extrato com 35837 transações",
"progress": 100,
"period": {
"startDate": "2026-10-27T03:00:00Z",
"endDate": "2026-10-28T03:00:00Z"
},
"status": {
"name": "FINISHED",
"description": "Concluído"
},
"reportType": {
"name": "BANKSTATEMENT",
"description": "Extrato bancário"
},
"files": [
{
"name": "27102026-00h00m00s_27102026-23h59m59s_00001",
"link": "https://bucket.s3.amazonaws.com/Reports/27102026-00h00m00s_27102026-23h59m59s_00001.csv?...",
"size": 7472779
}
]
}
Conta
Consultar relatório
Consulte um relatório de extrato periódico e obtenha os links dos arquivos.
GET
/
baas
/
api
/
v1
/
customer-reports
/
{id}
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/customer-reports/1058' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 1058,
"description": "Extrato com 35837 transações",
"progress": 100,
"period": {
"startDate": "2026-10-27T03:00:00Z",
"endDate": "2026-10-28T03:00:00Z"
},
"status": {
"name": "FINISHED",
"description": "Concluído"
},
"reportType": {
"name": "BANKSTATEMENT",
"description": "Extrato bancário"
},
"files": [
{
"name": "27102026-00h00m00s_27102026-23h59m59s_00001",
"link": "https://bucket.s3.amazonaws.com/Reports/27102026-00h00m00s_27102026-23h59m59s_00001.csv?...",
"size": 7472779
}
]
}
Para o passo a passo completo, veja o guia Extrato periódico.
Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
Path params
number
required
Identificador do relatório, retornado em Listar relatórios.
Response
Os mesmos campos de Listar relatórios, mais o arrayfiles.
array
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/customer-reports/1058' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
"id": 1058,
"description": "Extrato com 35837 transações",
"progress": 100,
"period": {
"startDate": "2026-10-27T03:00:00Z",
"endDate": "2026-10-28T03:00:00Z"
},
"status": {
"name": "FINISHED",
"description": "Concluído"
},
"reportType": {
"name": "BANKSTATEMENT",
"description": "Extrato bancário"
},
"files": [
{
"name": "27102026-00h00m00s_27102026-23h59m59s_00001",
"link": "https://bucket.s3.amazonaws.com/Reports/27102026-00h00m00s_27102026-23h59m59s_00001.csv?...",
"size": 7472779
}
]
}

